Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## orarend
Class Tantargy

    java.lang.Object
      orarend.Tantargy

All Implemented Interfaces:
  java.io.Serializable

    public class Tantargy

extends java.lang.Object
implements java.io.Serializable

Tantárgyakat reprezentáló osztály

Author:
  Csipkés László
See Also:
  Serialized Form

Field Summary
`protected java.lang.String` | `targy_kod`
`protected java.lang.String` | `targy_nev`

Constructor Summary
`Tantargy()` Üres konstruktor
`Tantargy(java.lang.String kod, java.lang.String nev)` Tantárgyat létrehozó konstruktor

Method Summary
`boolean` | `equals(java.lang.Object o)`
`java.lang.String` | `getTargy_kod()`
`java.lang.String` | `getTargy_nev()`
`void` | `setTargy_kod(java.lang.String kod)`
`void` | `setTargy_nev(java.lang.String nev)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### targy_nev

    protected java.lang.String targy_nev

### targy_kod

    protected java.lang.String targy_kod

Constructor Detail

### Tantargy

    public Tantargy()

  Üres konstruktor

### Tantargy

    public Tantargy(java.lang.String kod,
                    java.lang.String nev)

  Tantárgyat létrehozó konstruktor

  Parameters:
    `kod` - tantárgy kódja
    `nev` - tantárgy neve

Method Detail

### getTargy_kod

    public java.lang.String getTargy_kod()

### setTargy_kod

    public void setTargy_kod(java.lang.String kod)

### getTargy_nev

    public java.lang.String getTargy_nev()

### setTargy_nev

    public void setTargy_nev(java.lang.String nev)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD